# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Catalyst.pm) perl(Catalyst/Controller.pm) perl(Catalyst/Log.pm) perl(Catalyst/Plugin/SubRequest.pm) perl(Catalyst/Test.pm) perl(Catalyst/Utils.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Spec/Functions.pm) perl(File/Temp.pm) perl(File/stat.pm) perl(FileHandle.pm) perl(FindBin.pm) perl(IO/File.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(MIME/Types.pm) perl(Module/Build.pm) perl(Moose/Role.pm) perl(MooseX/Types/Moose.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define module_version 0.30
%define module_name Catalyst-Plugin-Static-Simple-ButMaintained
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.30
Release: alt1
Summary: Make serving static pages painless.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/E/EC/ECARROLL/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
The Static::Simple::ButMaintained plugin is designed to make serving static content in
your application during development quick and easy, without requiring a
single line of code from you.

This plugin can detect static files by looking at the file extension in the
URL (such as .css or .png or .js). The plugin uses the
lightweight the MIME::Types manpage module to map file extensions to
IANA-registered MIME types, and will serve your static files with the
correct MIME type directly to the browser, without being processed
through Catalyst. Alternatively, this plugin can accept the content type
in a seperate argument hash.

Note that actions mapped to paths using periods (.) will still operate
properly.

If the plugin can not find the file, the request is dispatched to your
application instead. This means you are responsible for generating a
`404' error if your applicaton can not process the request:

	# handled by static::simple, not dispatched to your application
	/images/exists.png

	# static::simple will not find the file and let your application
	# handle the request. You are responsible for generating a file
	# or returning a 404 error
	/images/does_not_exist.png

Though Static::Simple::ButMaintained is designed to work out-of-the-box, you can tweak
the operation by adding various configuration options. In a production
environment, you will probably want to use your webserver to deliver
static content; for an example see the USING WITH APACHE entry elsewhere in this document, below.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_privlib/C*

%changelog
* Thu Sep 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.30-alt1
- initial import by package builder

